package com.CTF.server.controller;

import org.springframework.core.io.ClassPathResource;
import org.springframework.util.StreamUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.nio.charset.StandardCharsets;
import java.util.Map;

@RestController
@RequestMapping("/keys")
public class JwtKeyController {

    @GetMapping
    public Map<String, String> getKey() throws Exception {
        ClassPathResource resource = new ClassPathResource("public_key.pem");
        String publicKey = StreamUtils.copyToString(resource.getInputStream(), StandardCharsets.UTF_8);
        return Map.of("keys", publicKey);
    }
}


